Skip to main content
PATCH
/
kyb
/
forms
/
{companyId}
/
beneficiaries
/
{id}
Partially update beneficiary
curl --request PATCH \
  --url https://api.example.com/kyb/forms/{companyId}/beneficiaries/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "beneficiaryType": "CEO",
  "beneficiaryTypes": [
    "CEO"
  ],
  "info": {
    "infoType": "INDIVIDUAL",
    "name": "<string>",
    "surname": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "dateOfBirth": "2023-12-25",
    "country": "AF",
    "nationality": "AF",
    "documentNumber": "<string>",
    "personalNumber": "<string>",
    "citizenship": "AF",
    "countryOfBirth": "AF",
    "residentialAddress": "<string>",
    "countryOfResidence": "AF",
    "postcode": "<string>",
    "address": "<string>",
    "street": "<string>",
    "city": "<string>",
    "tin": "<string>",
    "taxResidence": "AF",
    "selfDeclaredPep": true,
    "additionalInfo": {}
  },
  "positions": [],
  "formFiller": true,
  "ownershipPercentage": 50
}
'
{
  "id": "<string>",
  "info": {
    "infoType": "INDIVIDUAL",
    "name": "<string>",
    "surname": "<string>",
    "email": "jsmith@example.com",
    "phone": "<string>",
    "dateOfBirth": "2023-12-25",
    "country": "AF",
    "nationality": "AF",
    "documentNumber": "<string>",
    "personalNumber": "<string>",
    "citizenship": "AF",
    "countryOfBirth": "AF",
    "residentialAddress": "<string>",
    "countryOfResidence": "AF",
    "postcode": "<string>",
    "address": "<string>",
    "street": "<string>",
    "city": "<string>",
    "tin": "<string>",
    "taxResidence": "AF",
    "selfDeclaredPep": true,
    "additionalInfo": {}
  },
  "parent": "<string>",
  "beneficiaryType": "CEO",
  "beneficiaryTypes": [
    "CEO"
  ],
  "positions": [],
  "formFiller": true,
  "ownershipPercentage": 50
}

Authorizations

Authorization
string
header
required

Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.

Path Parameters

companyId
string
required
id
string
required

A unique value identifying this beneficiary.

Body

application/json
beneficiaryType
enum<string>
Available options:
CEO,
REPRESENTATIVE,
SHAREHOLDER,
UBO,
ABO
beneficiaryTypes
enum<string>[]
Minimum array length: 1
Available options:
CEO,
REPRESENTATIVE,
SHAREHOLDER,
UBO,
ABO
info
object
positions
string[]

Positions of the beneficiary. Can be shareholder, director, or any other position.

Maximum array length: 3
Required string length: 1 - 50
Pattern: ^[^,]+$
formFiller
boolean

Indicates whether this beneficiary is the filler of the KYB form.

ownershipPercentage
number<double> | null
Required range: 0 <= x <= 100

Response

200 - application/json
id
string
required
info
object
required
parent
string | null
required
beneficiaryType
enum<string>
Available options:
CEO,
REPRESENTATIVE,
SHAREHOLDER,
UBO,
ABO
beneficiaryTypes
enum<string>[]
Minimum array length: 1
Available options:
CEO,
REPRESENTATIVE,
SHAREHOLDER,
UBO,
ABO
positions
string[]

Positions of the beneficiary. Can be shareholder, director, or any other position.

Maximum array length: 3
Maximum string length: 50
Pattern: ^[^,]+$
formFiller
boolean

Indicates whether this beneficiary is the filler of the KYB form.

ownershipPercentage
number<double> | null
Required range: 0 <= x <= 100